/*
 * $Id: img2iso.h,v 1.21 2003/07/17 00:23:29 solyga Exp $
 */

#define	DEBUG
#undef	DEBUG

#include <stdio.h>		/* printf() */
#include <stdlib.h>		/* malloc() */
#include <getopt.h>		/* getopt() */
#include <unistd.h>		/* read(), write(), close(), STDIN_FILENO */
#include <errno.h>		/* error numbers */
#include <sys/types.h>	/* open() */
#include <sys/stat.h>	/* open() */
#include <fcntl.h>		/* open(), O_RDONLY */
#include <string.h>		/* strlen() */
#include <time.h>		/* time() */
#include "cdrom.h"  	/* CD_* definitions */
#include "iso9660.h"	/* iso9660 structures & definitions (mkisofs)*/

typedef	unsigned char	UCHAR;

#define	VERBOSE_CHANNEL	stderr
#define	HELP_CHANNEL	stdout
#define	ERROR_CHANNEL	stderr
#define	VERSION_CHANNEL	stdout
#define	DEBUG_CHANNEL	stderr

#define	DEFAULT_INPUT_FILE "inputfile.img" 
#define	BUF_SIZE		((ISO_PD_BLOCK+1)*CD_FRAMESIZE_RAW)
#define	OUT_PERMS		S_IRUSR|S_IWUSR|S_IRGRP|S_IWGRP|S_IROTH|S_IWOTH
#define	HASH_MARKS		80	/* until volume space size dumped */

#define	ISO_PD_BLOCK	16		/* offset, PD = primary desciptor */

#define	RETVAL_OK			    0
#define	RETVAL_PADDED			1
#define	RETVAL_BUG			    2
#define	RETVAL_READ_ERROR		3
#define	RETVAL_BROKEN			4
#define	RETVAL_ERROR			5

#define	VERSION_NUMBER		"0.05.02"
#define	DATE_OF_LAST_MOD	"2003-07-17"
#define	MY_EMAIL_ADDRESS	"Steffen Solyga <solyga@absinth.net>"